QGIS Application - Bug report #19536
Boolean classify style not working
2018-08-02 07:21 PM - Christopher Wesson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.2 Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 27363
Description

Currently using QGIS 3.0.2 Girona

| have polygons with a Boolean field. If | try to colour them based on this field it colours them all with the 'all other' blank value.
If | remove this then the polygons do not show.

| suspect this is because the classification is searching for 'True' or 'False' whereas the Boolean field in the table is always '1' or '0'.

Would be nice to get this fixed by LTR if its not already.

Chris

History

#1 - 2018-08-03 11:03 AM - Giovanni Manghi
- Easy fix? changed from Yes to No
- Status changed from Open to Feedback

Just tested with a PostGIS table on 3.2, works as expected.

#2 - 2018-08-03 11:48 AM - Nyall Dawson

What layer type are you using? Can you share?

#3 - 2018-08-23 12:51 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback.
